#
# vdrconvert shutdown hook script - Tobias Grimm <tg@e-tobi.net>
# -------------------------------
#
# This script checks if vdrconvert is still doing anything, and if so
# advices VDR to try the shutdown again in 5 minutes
#


# part of this code is taken from vdrconvert.sh !

. /etc/vdr/vdrconvert/etc/vdrconvert.env

# check if any job is still in queue or any convert process is running:

for JOBFIL in $CONVERT_JOBS
do
  JOB=$JOBFIL
  JOBFIL="/var/spool/vdrconvert/$JOBFIL"

  let LINES=0
  LINES=`cat $JOBFIL | wc -l`  
    
  run=`ps -aef|grep ${JOB}.sh|grep -v grep|wc -l`

  if [ $LINES -gt 0 -o $run -gt 0 ]
  then
    # there is still a job in queue or running, so
    # we should defer the shutdown for 5 minutes
    TRY_AGAIN=5
  fi
done
